Module type(MoreLabels.Hashtbl.S)

NAME
MoreLabels.Hashtbl.S - no description

Module type
Module type MoreLabels.Hashtbl.S

Documentation

Module type S
 = sig end

type key

type 'a t

val create : int -> 'a t

val clear : 'a t -> unit

val copy : 'a t -> 'a t

val add : 'a t -> key:key -> data:'a -> unit

val remove : 'a t -> key -> unit

val find : 'a t -> key -> 'a

val find_all : 'a t -> key -> 'a list

val replace : 'a t -> key:key -> data:'a -> unit

val mem : 'a t -> key -> bool

val iter : f:(key:key -> data:'a -> unit) -> 'a t -> unit

val fold : f:(key:key -> data:'a -> 'b -> 'b) -> 'a t -> init:'b -> 'b